<?xml version="1.0" encoding="UTF-8"?>
<!-- ================================================================================= -->
<!--
Replace ##PROJECTNAME## to the project you're working on i.e. global, thomson

TARGETS:
 init 				- Initialise all directories
 compile 			- Compile source
 test-compile 			- Compile test
 test 				- Run unit tests
 package (default) 		- To make a ZIP package which contains any WAR/JAR files,
          Javadocs, Dependencies.txt and Changelog.txt
 clean				- Delete all including work directory

 REPORTING:
     cpd		- Copy/Paste detector
     checkstyle	- Checkstyle in source
     findbugs	- Find bugs in source
     cobertura	- Unit test code coverage
     jdepend	- Shows class dependencies
   javadocs		- Javadocs for SRC and TEST

KNOWN DIRECTORIES:
  src			- source code
  lib			- library dependencies
  build-lib		- libraries for test cases and reporting
  test			- unit test cases
  conf			- config files
  META-INF		- settings for the ${ant.project.name}-${version}.jar

-->
<!-- ================================================================================= -->

<!-- ================================================================================= -->
<!--  Change the internals of these targets accordingly, but do not change their names -->
<!--  as these targets are called by Cruise Control                                    -->
<!-- ================================================================================= -->
<project name="cps" basedir="." xmlns:ivy="antlib:fr.jayasoft.ivy.ant">
	<property file="../build.properties" />
	<property file="${basedir}/version.properties" />
	<property name="build.id" value="manual ant build" />
	<property name="classes.dir" location="${work.dir}/${ant.project.name}/classes" />
	<property name="src.dir" location="./src" />
	<property name="lib.dir" location="./lib" />
	<property name="buildlib.dir" location="./build-lib" />
	<property name="cms.dir" location="./cms-cps" />


	<!-- =================================================================== -->
	<!-- Prepares the deploy & build work directory dir directory            -->
	<!-- Also for preparing directory structure for a new project            -->
	<!-- =================================================================== -->
	<target name="init">
		<mkdir dir="${work.dir}" />
		<mkdir dir="${work.dir}/cms-cps" />
		<mkdir dir="${work.dir}/cms-cps/cps-amendandcancel" />
		<mkdir dir="${work.dir}/cpsamendandcancelweb" />
		<mkdir dir="${work.dir}/${ant.project.name}/classes" />

	</target>

	<!-- =================================================================== -->
	<!-- clear work directory                                                -->
	<!-- =================================================================== -->
	<target name="clean">
		<delete dir="${work.dir}" failonerror="false" />
		<delete dir="${work.dir}" failonerror="false">
			<include name="${ant.project.name}*" />
		</delete>
		<antcall target="init" />
	</target>

	<!-- ivy properties used -->
	<property name="ivy.conf.dir" value="../ivy-config" />
	<import file="${ivy.conf.dir}/ivy-build.xml" />

	<target name="cpswebamendandcancel-zip" depends="init, ivy-resolve">
		<copy todir="${work.dir}/cpsamendandcancelweb/cps-amendandcancel/web" includeEmptyDirs="true">
			<fileset dir="web" />
		</copy>
		<copy todir="${work.dir}/cpsamendandcancelweb/src" includeEmptyDirs="true">
			<fileset dir="src" />
		</copy>
		<zip zipfile="${work.dir}/cpswebamendandcancel-${cps-amendandcancel.web.version}.zip">
			<fileset dir="${work.dir}/cpsamendandcancelweb" />
		</zip>
	</target>

	<target name="cmscpsamendandcancel-zip" depends="init, ivy-resolve">
		<copy todir="${work.dir}/cms-cps/cps-amendandcancel/cms" includeEmptyDirs="true">
			<fileset dir="cms-cps" />
		</copy>
		<zip zipfile="${work.dir}/cmscpsamendandcancel-${cps-amendandcancel.cms.version}.zip">
			<fileset dir="${work.dir}/cms-cps" />
		</zip>
	</target>

	<!-- publish the packaged component to the ivy repository -->
	<target name="ivy-publish" depends="clean,ivy-resolve,publishwebzip">
	</target>

	<target name="publishcmszip">
		<antcall target="cmscpsamendandcancel-zip" />
		<available property="ivy-repository-exists" file="/var/www/ivy-repo" type="dir" />
		<fail unless="ivy-repository-exists" message="You can only publish on the machine containing the ivy repository (10.40.4.172)" />

		<!--Donot delete the below two lines while publishing -->
		<available property="ivy-artifact-released" file="/var/www/ivy-repo/cmscpsamendandcancel-${cps-amendandcancel.cms.version}.zip" type="file" />
		<fail if="ivy-artifact-released" message="This version of this library has been released in an RPM Build. you cannot make further modifications to this version of the jar file.  Please alter your version.properties file to a new version and try again." />

		<property name="revision" value="${cps-amendandcancel.cms.version}" />

		<ivy:publish resolver="projects" pubrevision="${cps-amendandcancel.cms.version}" overwrite="true">
			<artifacts pattern="${work.dir}/cmscpsamendandcancel-${cps-amendandcancel.cms.version}.[ext]" />
		</ivy:publish>
		<echo message="project cmscpsamendandcancel released with version ${cps-amendandcancel.cms.version}" />
	</target>

	<target name="publishwebzip">
		<antcall target="cpswebamendandcancel-zip" />
		<available property="ivy-repository-exists" file="/var/www/ivy-repo" type="dir" />
		<fail unless="ivy-repository-exists" message="You can only publish on the machine containing the ivy repository (10.40.4.172)" />

	  <!--Donot delete the below two lines while publishing -->
	<available property="ivy-artifact-released" file="/var/www/ivy-repo/cpswebamendandcancel-${cps-amendandcancel.web.version}.released" type="file" />
	<fail if="ivy-artifact-released" message="This version of this library has been released in an RPM Build. you cannot make further modifications to this version of the jar file.  Please alter your version.properties file to a new version and try again." />

		<property name="revision" value="${cps-amendandcancel.web.version}" />

		<ivy:publish resolver="projects" pubrevision="${cps-amendandcancel.web.version}" overwrite="true">
			<artifacts pattern="${work.dir}/cpswebamendandcancel-${cps-amendandcancel.web.version}.[ext]" />
		</ivy:publish>

		<echo message="project cpswebamendandcancel released with version ${cps-amendandcancel.web.version}" />
	</target>

</project>